%global momorel 1

Summary: A collection of CD/DVD utilities
Name: cdrkit
Version: 1.1.3
Release: %{momorel}m%{?dist}
License: GPL
Group: Applications/System
URL: http://cdrkit.org/
Source: http://debburn.alioth.debian.org/%{name}-%{version}.tar.gz
Patch0: %{name}-dvd-fix.patch
Patch1: %{name}-1.1.5.1-eltorito.patch
NoSource: 0
BuildRequires: cmake libcap-devel zlib-devel perl

BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
cdrkit is a collection of CD/DVD utilities.

%package -n wodim
Summary: A command line CD/DVD recording program
Group: Applications/Archiving
Obsoletes: dvdrecord <= 0.1.5
Provides: dvdrecord = 0.1.5.1
Obsoletes: cdrecord < 2.01-12
Provides: cdrecord = 2.01-12
Obsoletes: cdrtools
Provides: cdrtools
Obsoletes: cdrtools-devel

%description -n wodim
Wodim is an application for creating audio and data CDs. Wodim
works with many different brands of CD recorders, fully supports
multi-sessions and provides human-readable error messages.

%package -n genisoimage
Summary: Creates an image of an ISO9660 filesystem
Group: Applications/System
Obsoletes: mkisofs < 2.01-12
Provides: mkisofs = 2.01-12
Provides: mkhybrid
Obsoletes: mkhybrid
Requires: perl >= 4:5.8.1

%description -n genisoimage
The genisoimage program is used as a pre-mastering program; i.e., it
generates the ISO9660 filesystem. Genisoimage takes a snapshot of
a given directory tree and generates a binary image of the tree
which will correspond to an ISO9660 filesystem when written to
a block device. Genisoimage is used for writing CD-ROMs, and includes
support for creating bootable El Torito CD-ROMs.

Install the genisoimage package if you need a program for writing
CD-ROMs.

%package -n icedax
Group: Applications/Multimedia
Summary: A utility for sampling/copying .wav files from digital audio CDs
Obsoletes: cdda2wav < 2.01-12
Provides: cdda2wav = 2.01-12

%description -n icedax
Icedax is a sampling utility for CD-ROM drives that are capable of
providing a CD's audio data in digital form to your host. Audio data
read from the CD can be saved as .wav or .sun format sound files.
Recording formats include stereo/mono, 8/12/16 bits and different
rates. Icedax can also be used as a CD player.

%prep
%setup -q 

%patch0 -p0 -b .dvd
%patch1 -p0 -b .eltorito

find . -type f -print0 | xargs -0 perl -pi -e 's#/usr/local/bin/perl#/usr/bin/perl#g'
find doc -type f -print0 | xargs -0 chmod a-x 


%build
mkdir build
pushd build

export CFLAGS="%{optflags}"
export CXXFLAGS="%{optflags}"
export FFLAGS="%{optflags}"

cmake .. \
        -DCMAKE_INSTALL_PREFIX:PATH=%{_prefix} \
        -DBUILD_SHARED_LIBS:BOOL=ON

make VERBOSE=1 %{?_smp_mflags}

popd

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
pushd build
make install DESTDIR=%{buildroot}

ln -s genisoimage %{buildroot}%{_bindir}/mkisofs
ln -s genisoimage %{buildroot}%{_bindir}/mkhybrid
ln -s icedax %{buildroot}%{_bindir}/cdda2wav
ln -s icedax %{buildroot}%{_bindir}/list_audio_tracks
ln -s readom %{buildroot}%{_bindir}/readcd
ln -s wodim %{buildroot}%{_bindir}/cdrecord
ln -s wodim %{buildroot}%{_bindir}/dvdrecord

perl -pi -e 's#^require v5.8.1;##g' %{buildroot}%{_bindir}/dirsplit

popd

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files -n wodim
%defattr(-,root,root)
%doc Changelog COPYING FAQ FORK START
%doc doc/READMEs doc/wodim
%{_bindir}/devdump
%{_bindir}/wodim
%{_bindir}/cdrecord
%{_bindir}/dvdrecord
%{_bindir}/readcd
%{_bindir}/readom
%{_sbindir}/netscsid
%{_mandir}/man1/devdump.*
%{_mandir}/man1/wodim.*
%{_mandir}/man1/readom.*

%files -n icedax
%defattr(-,root,root)
%doc doc/icedax COPYING
%{_bindir}/icedax
%{_bindir}/cdda2wav
%{_bindir}/cdda2mp3
%{_bindir}/cdda2ogg
%{_bindir}/list_audio_tracks
%{_mandir}/man1/icedax.*
%{_mandir}/man1/cdda2ogg.*
%{_mandir}/man1/list_audio_tracks.*

%files -n genisoimage
%defattr(-,root,root)
%doc doc/genisoimage COPYING
%{_bindir}/mkisofs
%{_bindir}/mkhybrid
%{_bindir}/genisoimage
%{_bindir}/isodebug
%{_bindir}/isodump
%{_bindir}/isoinfo
%{_bindir}/isovfy
%{_bindir}/dirsplit
%{_bindir}/pitchplay
%{_bindir}/readmult
%{_mandir}/man5/genisoimagerc.*
%{_mandir}/man1/genisoimage.*
%{_mandir}/man1/isodebug.*
%{_mandir}/man1/isodump.*
%{_mandir}/man1/isoinfo.*
%{_mandir}/man1/isovfy.*
%{_mandir}/man1/dirsplit.*
%{_mandir}/man1/pitchplay.*
%{_mandir}/man1/readmult.*

%changelog
* Fri Jun  8 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.1.3-1m)
- version down to 1.1.3 (rewind drive detection)
- apply opensuse's eltorito.patch

* Fri Jun  8 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.1.6-4m)
- fix Provides and Obsoletes

* Fri Jun  8 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.1.6-3m)
- add readcd and list_audio_tracks

* Fri Jun  8 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.1.6-2m)
- modify Provides and Obsoletes for smooth upgrading

* Fri Jun  8 2007 Masahiro Takahata <takahata@momogna-linux.org>
- (1.1.6-1m)
- import from Fedora

* Mon Apr 23 2007 Harald Hoyer <harald@redhat.com> - 1.1.2-4
- bump obsoletes/provides

* Tue Feb 27 2007 Harald Hoyer <harald@redhat.com> - 1.1.2-3
- applied specfile changes as in bug #224365

* Wed Jan 24 2007 Harald Hoyer <harald@redhat.com> - 1.1.2-1
- version 1.1.2
